[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TryStrToDWord

Try to convert a string to DWord (cardinal)

## Declaration

Source position: sysstrh.inc line 138

`function TryStrToDWord(`
`const s: string;`
`out D: DWord`
`):Boolean;`

## Description

TryStrToDWord will try to convert the string S to a DWord value. It returns True if the conversion was successful, and in that case returns the value in D.

If the conversion failed or the value was outside of the valid range for DWord values, False is returned.

## See also

StrToDWord |  | Convert string to DWord (cardinal)
StrToDWordDef |  | Convert string to DWord (cardinal), using default